Merchant Users
List merchant users
Retrieves a paginated list of merchant users with support for filtering by various attributes and sorting options
GET
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
merchant-users
Error
A valid request URL is required to generate request examples{
"data": {
"count": 123,
"pages": 123,
"users": [
{
"additions": {},
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"street": "<string>",
"zip_code": "<string>"
},
"address_restrictions": [
{
"address_id": "<string>",
"formatted_address": "<string>",
"organisation_id": "<string>",
"organisation_name": "<string>",
"organisation_number": "<string>"
}
],
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"comment": "<string>",
"communication_preferences": {
"allow_email": true,
"allow_postal": true,
"allow_sms": true
},
"created_at": "<string>",
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"email_verification_sent_at": "<string>",
"email_verified": true,
"id": "<string>",
"is_super_admin": true,
"language": "<string>",
"market": "<string>",
"name": "<string>",
"organisations": [
{
"custom_role_id": "<string>",
"custom_role_name": "<string>",
"custom_role_slug": "<string>",
"id": "<string>",
"level": "<string>",
"name": "<string>",
"organisation_number": "<string>"
}
],
"phone_number": "<string>",
"status": "<string>",
"store_group": "<string>",
"surname": "<string>",
"tags": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"created_at": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"schedules": [
{
"add_category_names": [
"<string>"
],
"add_collection_names": [
"<string>"
],
"add_tag_names": [
"<string>"
],
"execute_at": "<string>",
"finished_at": "<string>",
"id": "<string>",
"item_id": "<string>",
"item_name": "<string>",
"item_type": "<string>",
"remove_category_names": [
"<string>"
],
"remove_collection_names": [
"<string>"
],
"remove_tag_names": [
"<string>"
],
"to_amount_cents_with_tax": 123,
"to_market_id": "<string>",
"to_market_status": "<string>",
"to_on_sale": true,
"to_sale_amount_cents_with_tax": 123,
"to_start_sale_timestamp": "<string>",
"to_status": "<string>",
"to_stop_sale_timestamp": "<string>",
"to_store_group_id": "<string>"
}
],
"source_app_id": "<string>",
"source_id": "<string>",
"status": "<string>",
"translations": {
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
}
],
"updated_at": "<string>"
}
]
},
"success": true,
"total": 123,
"total_pages": 123
}Query Parameters
Page number (default: 1)
Items per page (default: 20, max: 100)
Sort field (email, market, language_code, store_group, first_name, last_name, created_at, status)
Sort direction (asc, desc, default: desc)
Search term
Filter by market
Filter by language
Filter by store group
Filter by email
Filter by name
Filter by surname
Filter by status (active, pending, inactive)
Filter by email verification status
Filter by creation date before (YYYY-MM-DD format, e.g., 2024-05-11)
Filter by creation date after (YYYY-MM-DD format, e.g., 2024-05-11)
Filter by if merchant user is attached to an organisation
Filter by custom role slugs
Previous
Create merchant userCreates a new merchant user with the provided details including personal information, address, and communication preferences
Next
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"count": 123,
"pages": 123,
"users": [
{
"additions": {},
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"street": "<string>",
"zip_code": "<string>"
},
"address_restrictions": [
{
"address_id": "<string>",
"formatted_address": "<string>",
"organisation_id": "<string>",
"organisation_name": "<string>",
"organisation_number": "<string>"
}
],
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"comment": "<string>",
"communication_preferences": {
"allow_email": true,
"allow_postal": true,
"allow_sms": true
},
"created_at": "<string>",
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"email_verification_sent_at": "<string>",
"email_verified": true,
"id": "<string>",
"is_super_admin": true,
"language": "<string>",
"market": "<string>",
"name": "<string>",
"organisations": [
{
"custom_role_id": "<string>",
"custom_role_name": "<string>",
"custom_role_slug": "<string>",
"id": "<string>",
"level": "<string>",
"name": "<string>",
"organisation_number": "<string>"
}
],
"phone_number": "<string>",
"status": "<string>",
"store_group": "<string>",
"surname": "<string>",
"tags": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"created_at": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"schedules": [
{
"add_category_names": [
"<string>"
],
"add_collection_names": [
"<string>"
],
"add_tag_names": [
"<string>"
],
"execute_at": "<string>",
"finished_at": "<string>",
"id": "<string>",
"item_id": "<string>",
"item_name": "<string>",
"item_type": "<string>",
"remove_category_names": [
"<string>"
],
"remove_collection_names": [
"<string>"
],
"remove_tag_names": [
"<string>"
],
"to_amount_cents_with_tax": 123,
"to_market_id": "<string>",
"to_market_status": "<string>",
"to_on_sale": true,
"to_sale_amount_cents_with_tax": 123,
"to_start_sale_timestamp": "<string>",
"to_status": "<string>",
"to_stop_sale_timestamp": "<string>",
"to_store_group_id": "<string>"
}
],
"source_app_id": "<string>",
"source_id": "<string>",
"status": "<string>",
"translations": {
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
}
],
"updated_at": "<string>"
}
]
},
"success": true,
"total": 123,
"total_pages": 123
}